Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_13
Class DJCacheDocumentTest

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--djbuch.kapitel_13.DJCacheDocumentTest

All Implemented Interfaces:
  junit.framework.Test

public class DJCacheDocumentTest
extends junit.framework.TestCase

Author:
  Thomas Ekert
See Also:
  `DJCacheDocument`

Constructor Summary
`DJCacheDocumentTest()`

Method Summary
`void` | `testDJCacheDocument()` Testet das DJCacheDocument funktional und führt PerformanceTests im Vergleich zum lotus.domino.Document durch
`void` | `testFieldNames()` Testet die SubKlasse FieldNames in DJCacheDocument

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DJCacheDocumentTest

    public DJCacheDocumentTest()

Method Detail

### testDJCacheDocument

    public void testDJCacheDocument()

  Testet das DJCacheDocument funktional und führt PerformanceTests im Vergleich zum lotus.domino.Document durch

### testFieldNames

    public void testFieldNames()

  Testet die SubKlasse FieldNames in DJCacheDocument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD